# norootforbuild

Name:		librapi2
Version:	0.15.2
Release:	1.pm.1.1

Summary:	RAPI library for the SynCE project
URL:		http://www.synce.org
License:	MIT
Group:		System/Libraries

Source:		%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	gcc-c++ libsynce-devel pyrex python-devel


%description
Librapi2 is part of the SynCE project. The RAPI library is an open source
implementation that works like RAPI.DLL, available on Microsoft operating
systems. The library makes it possible to make remote calls to a computer
running device.


%package devel
Summary:	Header files, libraries and development documentation for %{name}
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}
Requires:	gcc-c++ libsynce-devel pyrex python-devel

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%package -n python-rapi2
Summary:	Python RAPI bindings
Group:		Development/Libraries/Python
%py_requires

%description -n python-rapi2
This packages contains the RAPI bindings for python. It is necessary for the
use of the SynCE framework. 

%package -n rapi2-tools
Summary:	RAPI tools to interact with Windows Mobile devices
Group:		Hardware/Mobile

%description -n rapi2-tools
This packages contains various simple commandline tools to interact with
Windows Mobile devices using the SynCE framework.


%prep
%setup -q -n %{name}-%{version}





%build
%configure --disable-rpath --disable-static
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print


%clean
%__rm -rf %{buildroot}


%post -n %{name} -p /sbin/ldconfig  
%postun -n %{name} -p /sbin/ldconfig   


%files -n %{name}
%defattr(-,root,root)
%doc BUGS ChangeLog LICENSE README README.design README.contributing TODO
%{_libdir}/librapi.so.2
%{_libdir}/librapi.so.2.0.0

%files -n rapi2-tools
%defattr(-,root,root)
%{_mandir}/man1/*
%{_bindir}/pcp
%{_bindir}/synce-install-cab
%{_bindir}/pmkdir
%{_bindir}/pstatus
%{_bindir}/prmdir
%{_bindir}/synce-registry
%{_bindir}/pkillall
%{_bindir}/pmv
%{_bindir}/prm
%{_bindir}/prun
%{_bindir}/psettime
%{_bindir}/rapiconfig
%{_bindir}/synce-list-programs
%{_bindir}/pshortcut
%{_bindir}/pls
%{_bindir}/synce-remove-program
%{_bindir}/synce-database

%files devel
%defattr(-,root,root)
%{_mandir}/man3/rapi_connection_from_name.3.gz
%{_includedir}/rapi.h
%{_includedir}/irapistream.h
%{_includedir}/rapi2.h
%{_includedir}/rapitypes.h
%{_includedir}/rapitypes2.h
%{_libdir}/pkgconfig/librapi2.pc
%{_libdir}/librapi.so

%files -n python-rapi2
%defattr(-,root,root)
%{py_sitedir}/pyrapi2.so


%changelog
* Sat Apr  2 2011 detlef@links2linux.de
- new upstream version <0.15.2>
* Sat May 22 2010 detlef@links2linux.de
- initial build for PackMan
* Sun May  2 2010 masterpatricko@gmail.com
- Update to 0.15 release
  + Bugfixes and under the hood stuff.
  + A few more registry functions in pyrapi2.
  + A new API based on MS RAPI2 is mostly complete and certainly usable.
* Sat Jul 18 2009 masterpatricko@gmail.com
- Updated to 0.14 release
  + Mostly bugfixes and developer stuff, with some changes to the
    python wrapper, including documentation !
  + Also now supports some unusual WM2003 devices with 4 endpoints
    with kernel 2.6.30
* Mon Aug 11 2008 masterpatricko@gmail.com
- Initial release of package
